Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network32.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
32.0.0.0
Broadcast address
39.255.255.255
First usable
32.0.0.1
Last usable
39.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
A (default /8)
As numbers
Hex 20000000 · Integer 536870912 to 671088639
Reverse DNS zones
32.in-addr.arpa
33.in-addr.arpa
34.in-addr.arpa
35.in-addr.arpa
36.in-addr.arpa
37.in-addr.arpa
38.in-addr.arpa
39.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100000.00000000.00000000.0000000032.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network00100000.00000000.00000000.0000000032.0.0.0
Broadcast00100111.11111111.11111111.1111111139.255.255.255
Split into smaller subnets/12

32.0.0.0/5 makes 128 subnets of /12.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
132.0.0.0/1232.0.0.1 to 32.15.255.25432.15.255.2551,048,574
232.16.0.0/1232.16.0.1 to 32.31.255.25432.31.255.2551,048,574
332.32.0.0/1232.32.0.1 to 32.47.255.25432.47.255.2551,048,574
432.48.0.0/1232.48.0.1 to 32.63.255.25432.63.255.2551,048,574
532.64.0.0/1232.64.0.1 to 32.79.255.25432.79.255.2551,048,574
632.80.0.0/1232.80.0.1 to 32.95.255.25432.95.255.2551,048,574
732.96.0.0/1232.96.0.1 to 32.111.255.25432.111.255.2551,048,574
832.112.0.0/1232.112.0.1 to 32.127.255.25432.127.255.2551,048,574
932.128.0.0/1232.128.0.1 to 32.143.255.25432.143.255.2551,048,574
1032.144.0.0/1232.144.0.1 to 32.159.255.25432.159.255.2551,048,574
1132.160.0.0/1232.160.0.1 to 32.175.255.25432.175.255.2551,048,574
1232.176.0.0/1232.176.0.1 to 32.191.255.25432.191.255.2551,048,574
1332.192.0.0/1232.192.0.1 to 32.207.255.25432.207.255.2551,048,574
1432.208.0.0/1232.208.0.1 to 32.223.255.25432.223.255.2551,048,574
1532.224.0.0/1232.224.0.1 to 32.239.255.25432.239.255.2551,048,574
1632.240.0.0/1232.240.0.1 to 32.255.255.25432.255.255.2551,048,574
1733.0.0.0/1233.0.0.1 to 33.15.255.25433.15.255.2551,048,574
1833.16.0.0/1233.16.0.1 to 33.31.255.25433.31.255.2551,048,574
1933.32.0.0/1233.32.0.1 to 33.47.255.25433.47.255.2551,048,574
2033.48.0.0/1233.48.0.1 to 33.63.255.25433.63.255.2551,048,574
2133.64.0.0/1233.64.0.1 to 33.79.255.25433.79.255.2551,048,574
2233.80.0.0/1233.80.0.1 to 33.95.255.25433.95.255.2551,048,574
2333.96.0.0/1233.96.0.1 to 33.111.255.25433.111.255.2551,048,574
2433.112.0.0/1233.112.0.1 to 33.127.255.25433.127.255.2551,048,574
2533.128.0.0/1233.128.0.1 to 33.143.255.25433.143.255.2551,048,574
2633.144.0.0/1233.144.0.1 to 33.159.255.25433.159.255.2551,048,574
2733.160.0.0/1233.160.0.1 to 33.175.255.25433.175.255.2551,048,574
2833.176.0.0/1233.176.0.1 to 33.191.255.25433.191.255.2551,048,574
2933.192.0.0/1233.192.0.1 to 33.207.255.25433.207.255.2551,048,574
3033.208.0.0/1233.208.0.1 to 33.223.255.25433.223.255.2551,048,574
3133.224.0.0/1233.224.0.1 to 33.239.255.25433.239.255.2551,048,574
3233.240.0.0/1233.240.0.1 to 33.255.255.25433.255.255.2551,048,574
3334.0.0.0/1234.0.0.1 to 34.15.255.25434.15.255.2551,048,574
3434.16.0.0/1234.16.0.1 to 34.31.255.25434.31.255.2551,048,574
3534.32.0.0/1234.32.0.1 to 34.47.255.25434.47.255.2551,048,574
3634.48.0.0/1234.48.0.1 to 34.63.255.25434.63.255.2551,048,574
3734.64.0.0/1234.64.0.1 to 34.79.255.25434.79.255.2551,048,574
3834.80.0.0/1234.80.0.1 to 34.95.255.25434.95.255.2551,048,574
3934.96.0.0/1234.96.0.1 to 34.111.255.25434.111.255.2551,048,574
4034.112.0.0/1234.112.0.1 to 34.127.255.25434.127.255.2551,048,574
4134.128.0.0/1234.128.0.1 to 34.143.255.25434.143.255.2551,048,574
4234.144.0.0/1234.144.0.1 to 34.159.255.25434.159.255.2551,048,574
4334.160.0.0/1234.160.0.1 to 34.175.255.25434.175.255.2551,048,574
4434.176.0.0/1234.176.0.1 to 34.191.255.25434.191.255.2551,048,574
4534.192.0.0/1234.192.0.1 to 34.207.255.25434.207.255.2551,048,574
4634.208.0.0/1234.208.0.1 to 34.223.255.25434.223.255.2551,048,574
4734.224.0.0/1234.224.0.1 to 34.239.255.25434.239.255.2551,048,574
4834.240.0.0/1234.240.0.1 to 34.255.255.25434.255.255.2551,048,574
4935.0.0.0/1235.0.0.1 to 35.15.255.25435.15.255.2551,048,574
5035.16.0.0/1235.16.0.1 to 35.31.255.25435.31.255.2551,048,574
5135.32.0.0/1235.32.0.1 to 35.47.255.25435.47.255.2551,048,574
5235.48.0.0/1235.48.0.1 to 35.63.255.25435.63.255.2551,048,574
5335.64.0.0/1235.64.0.1 to 35.79.255.25435.79.255.2551,048,574
5435.80.0.0/1235.80.0.1 to 35.95.255.25435.95.255.2551,048,574
5535.96.0.0/1235.96.0.1 to 35.111.255.25435.111.255.2551,048,574
5635.112.0.0/1235.112.0.1 to 35.127.255.25435.127.255.2551,048,574
5735.128.0.0/1235.128.0.1 to 35.143.255.25435.143.255.2551,048,574
5835.144.0.0/1235.144.0.1 to 35.159.255.25435.159.255.2551,048,574
5935.160.0.0/1235.160.0.1 to 35.175.255.25435.175.255.2551,048,574
6035.176.0.0/1235.176.0.1 to 35.191.255.25435.191.255.2551,048,574
6135.192.0.0/1235.192.0.1 to 35.207.255.25435.207.255.2551,048,574
6235.208.0.0/1235.208.0.1 to 35.223.255.25435.223.255.2551,048,574
6335.224.0.0/1235.224.0.1 to 35.239.255.25435.239.255.2551,048,574
6435.240.0.0/1235.240.0.1 to 35.255.255.25435.255.255.2551,048,574
6536.0.0.0/1236.0.0.1 to 36.15.255.25436.15.255.2551,048,574
6636.16.0.0/1236.16.0.1 to 36.31.255.25436.31.255.2551,048,574
6736.32.0.0/1236.32.0.1 to 36.47.255.25436.47.255.2551,048,574
6836.48.0.0/1236.48.0.1 to 36.63.255.25436.63.255.2551,048,574
6936.64.0.0/1236.64.0.1 to 36.79.255.25436.79.255.2551,048,574
7036.80.0.0/1236.80.0.1 to 36.95.255.25436.95.255.2551,048,574
7136.96.0.0/1236.96.0.1 to 36.111.255.25436.111.255.2551,048,574
7236.112.0.0/1236.112.0.1 to 36.127.255.25436.127.255.2551,048,574
7336.128.0.0/1236.128.0.1 to 36.143.255.25436.143.255.2551,048,574
7436.144.0.0/1236.144.0.1 to 36.159.255.25436.159.255.2551,048,574
7536.160.0.0/1236.160.0.1 to 36.175.255.25436.175.255.2551,048,574
7636.176.0.0/1236.176.0.1 to 36.191.255.25436.191.255.2551,048,574
7736.192.0.0/1236.192.0.1 to 36.207.255.25436.207.255.2551,048,574
7836.208.0.0/1236.208.0.1 to 36.223.255.25436.223.255.2551,048,574
7936.224.0.0/1236.224.0.1 to 36.239.255.25436.239.255.2551,048,574
8036.240.0.0/1236.240.0.1 to 36.255.255.25436.255.255.2551,048,574
8137.0.0.0/1237.0.0.1 to 37.15.255.25437.15.255.2551,048,574
8237.16.0.0/1237.16.0.1 to 37.31.255.25437.31.255.2551,048,574
8337.32.0.0/1237.32.0.1 to 37.47.255.25437.47.255.2551,048,574
8437.48.0.0/1237.48.0.1 to 37.63.255.25437.63.255.2551,048,574
8537.64.0.0/1237.64.0.1 to 37.79.255.25437.79.255.2551,048,574
8637.80.0.0/1237.80.0.1 to 37.95.255.25437.95.255.2551,048,574
8737.96.0.0/1237.96.0.1 to 37.111.255.25437.111.255.2551,048,574
8837.112.0.0/1237.112.0.1 to 37.127.255.25437.127.255.2551,048,574
8937.128.0.0/1237.128.0.1 to 37.143.255.25437.143.255.2551,048,574
9037.144.0.0/1237.144.0.1 to 37.159.255.25437.159.255.2551,048,574
9137.160.0.0/1237.160.0.1 to 37.175.255.25437.175.255.2551,048,574
9237.176.0.0/1237.176.0.1 to 37.191.255.25437.191.255.2551,048,574
9337.192.0.0/1237.192.0.1 to 37.207.255.25437.207.255.2551,048,574
9437.208.0.0/1237.208.0.1 to 37.223.255.25437.223.255.2551,048,574
9537.224.0.0/1237.224.0.1 to 37.239.255.25437.239.255.2551,048,574
9637.240.0.0/1237.240.0.1 to 37.255.255.25437.255.255.2551,048,574
9738.0.0.0/1238.0.0.1 to 38.15.255.25438.15.255.2551,048,574
9838.16.0.0/1238.16.0.1 to 38.31.255.25438.31.255.2551,048,574
9938.32.0.0/1238.32.0.1 to 38.47.255.25438.47.255.2551,048,574
10038.48.0.0/1238.48.0.1 to 38.63.255.25438.63.255.2551,048,574
10138.64.0.0/1238.64.0.1 to 38.79.255.25438.79.255.2551,048,574
10238.80.0.0/1238.80.0.1 to 38.95.255.25438.95.255.2551,048,574
10338.96.0.0/1238.96.0.1 to 38.111.255.25438.111.255.2551,048,574
10438.112.0.0/1238.112.0.1 to 38.127.255.25438.127.255.2551,048,574
10538.128.0.0/1238.128.0.1 to 38.143.255.25438.143.255.2551,048,574
10638.144.0.0/1238.144.0.1 to 38.159.255.25438.159.255.2551,048,574
10738.160.0.0/1238.160.0.1 to 38.175.255.25438.175.255.2551,048,574
10838.176.0.0/1238.176.0.1 to 38.191.255.25438.191.255.2551,048,574
10938.192.0.0/1238.192.0.1 to 38.207.255.25438.207.255.2551,048,574
11038.208.0.0/1238.208.0.1 to 38.223.255.25438.223.255.2551,048,574
11138.224.0.0/1238.224.0.1 to 38.239.255.25438.239.255.2551,048,574
11238.240.0.0/1238.240.0.1 to 38.255.255.25438.255.255.2551,048,574
11339.0.0.0/1239.0.0.1 to 39.15.255.25439.15.255.2551,048,574
11439.16.0.0/1239.16.0.1 to 39.31.255.25439.31.255.2551,048,574
11539.32.0.0/1239.32.0.1 to 39.47.255.25439.47.255.2551,048,574
11639.48.0.0/1239.48.0.1 to 39.63.255.25439.63.255.2551,048,574
11739.64.0.0/1239.64.0.1 to 39.79.255.25439.79.255.2551,048,574
11839.80.0.0/1239.80.0.1 to 39.95.255.25439.95.255.2551,048,574
11939.96.0.0/1239.96.0.1 to 39.111.255.25439.111.255.2551,048,574
12039.112.0.0/1239.112.0.1 to 39.127.255.25439.127.255.2551,048,574
12139.128.0.0/1239.128.0.1 to 39.143.255.25439.143.255.2551,048,574
12239.144.0.0/1239.144.0.1 to 39.159.255.25439.159.255.2551,048,574
12339.160.0.0/1239.160.0.1 to 39.175.255.25439.175.255.2551,048,574
12439.176.0.0/1239.176.0.1 to 39.191.255.25439.191.255.2551,048,574
12539.192.0.0/1239.192.0.1 to 39.207.255.25439.207.255.2551,048,574
12639.208.0.0/1239.208.0.1 to 39.223.255.25439.223.255.2551,048,574
12739.224.0.0/1239.224.0.1 to 39.239.255.25439.239.255.2551,048,574
12839.240.0.0/1239.240.0.1 to 39.255.255.25439.255.255.2551,048,574

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses